cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting

## Class ORU_R30_Common

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.ORU_R30_Common

- Direct Known Subclasses:
    ORU_R30, ORU_R31, ORU_R32

      public abstract class ORU_R30_Common
      extends Message

  ORU_R30 - Unsolicited Point-Of-Care Observation Message Without Existing Order - Place An Order (Event R30). This message is used to fire instructs for the receiving system to create a new order for the observation(s) contained in the message.

  Represents a ORU_R30 message structure (see chapter 7.3.4). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: PID (Patient Identification Segment) SINGLE_COMPULSARY
  4: PD1 (Patient Additional Demographic Segment) SINGLE_OPTIONAL
  5. PRT (Participation-for patient) MULTIPLE_OPTIONAL
  6. ARV (Access Restrictions) MULTIPLE_OPTIONAL
  7: PATIENT OBSERVATION (a Group in ORU_R30 message) MULTIPLE_OPTIONAL
  8: VISIT (a Group of segments in ORU_R30 message) SINGLE_OPTIONAL
  9: ORC (Common Order Segment) SINGLE_COMPULSARY
  10. PRT (Participation-for common order) MULTIPLE_OPTIONAL
  11: OBR (Observation Request Segment) SINGLE_COMPULSARY
  12: NTE (Notes and Comments Segment) MULTIPLE_OPTIONAL
  13. PRT (Participation-for observation) MULTIPLE_OPTIONAL
  14: TIMING_QTY (a Group of segments in ORU_R30 message) MULTIPLE_OPTIONAL
  15: OBSERVATION (a Group of segments in ORU_R30 message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNotesAndCommentsSegment(ISingleCollection<NTE> objNTESegmentCollection)` Adds collection of Notes and Comments Segment(NTE) to this message.
    `void` | `addNotesAndCommentsSegment(NTE objNTE)` Adds Notes and Comments Segment(NTE) to this message.
    `void` | `addObservationGroup(IGroup objGroup)` Adds Observation GROUP to this message.
    `void` | `addObservationGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of OBSERVATION GROUP to this message.
    `void` | `addParticipationForCommonOrderSegment(ISingleCollection<PRT> objPRTSegmentCollection)` Adds collection of Participation(PRT) to this message.
    `void` | `addParticipationForCommonOrderSegment(PRT objPRT)` Adds Participation(PRT) to this message.
    `void` | `addParticipationForObservationSegment(ISingleCollection<PRT> objPRTSegmentCollection)` Adds collection of Participation(PRT) to this message.
    `void` | `addParticipationForObservationtSegment(PRT objPRT)` Adds Participation(PRT) to this message.
    `void` | `addParticipationForPatientSegment(ISingleCollection<PRT> objPRTSegmentCollection)` Adds collection of Participation(PRT) to this message.
    `void` | `addParticipationForPatientSegment(PRT objPRT)` Adds Participation(PRT) to this message.
    `void` | `addPatientIdentificationAccessRestrictionsSegment(ARV objARV)` Adds Access Restrictions(ARV) to this message.
    `void` | `addPatientIdentificationAccessRestrictionsSegment(ISingleCollection<ARV> objARVSegmentCollection)` Adds collection of Access Restrictions(ARV) to this message.
    `void` | `addPatientObservationGroup(IGroup objGroup)` Adds Person Observation GROUP to this message.
    `void` | `addPatientObservationGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Person Observation GROUP to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `void` | `addTimingQuantityGroup(IGroup objGroup)` Adds TimingQuantity GROUP to this message.
    `void` | `addTimingQuantityGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Timing_Quantity GROUP to this message.
    `PD1` | `getAdditinalDemographicsSegment()` Retrieves Additinal Demographics segment(PD1) present in this message.
    `ORC` | `getCommonOrderinformationSegment()` Retrieves Common Order information(ORC) segment present in this message.
    `ISingleCollection<NTE>` | `getNotesAndCommentsSegments()` Retrieves Collection of Notes and Comments Segments(NTE) present in this message.
    `ISingleCollection<IGroup>` | `getObservationGroups()` Retrieves Collection of OBSERVATION GROUP present in this message.
    `OBR` | `getObservationRequestSegment()` Retrieves Observation Request(OBR) segment present in this message.
    `ISingleCollection<PRT>` | `getParticipationForCommonOrderSegments()` Retrieves Collection of Participation(PRT) present in this message.
    `ISingleCollection<PRT>` | `getParticipationForObservationSegments()` Retrieves Collection of Participation(PRT) present in this message.
    `ISingleCollection<PRT>` | `getParticipationForPatientSegments()` Retrieves Collection of Participation(PRT) present in this message.
    `ISingleCollection<ARV>` | `getPatientIdentificationAccessRestrictionsSegments()` Retrieves Collection of Access Restrictions(ARV) present in this message.
    `PID` | `getPatientIdentificationSegment()` Retrieves Patient Identification(PID) segment present in this message.
    `ISingleCollection<IGroup>` | `getPatientObservationGroups()` Retrieves Collection of Person Observation GROUP present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `ISingleCollection<IGroup>` | `getTimingQuantityGroups()` Retrieves Collection of Timing_Quantity GROUP present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `IGroup` | `getVisitGroup()` Retrieves Visit Group present in this message.
    `void` | `setAdditinalDemographicsSegment(PD1 objPD1)` Sets value of Additinal Demographics segment(PD1) for this message,overwrites if already present.
    `void` | `setCommonOrderinformationSegment(ORC objORC)` Sets value of Common Order information segment for this message,overwrites if already present.
    `void` | `setObservationRequestSegment(OBR objOBR)` Sets value of Observation Request segment for this message,overwrites if already present.
    `void` | `setPatientIdentificationSegment(PID objPID)` Sets value of PID segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.
    `void` | `setVisitGroup(IGroup objGroup)` Sets value of Visit Group for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getPatientIdentificationSegment

          public PID getPatientIdentificationSegment()

      Retrieves Patient Identification(PID) segment present in this message.
      Returns:
        PID - the Patient Identification Segment present in this message or null if unavailable.

    - #### setPatientIdentificationSegment

          public void setPatientIdentificationSegment(PID objPID)

      Sets value of PID segment for this message,overwrites if already present.
      Parameters:
        `objPID` - Specified PID Segment

    - #### getAdditinalDemographicsSegment

          public PD1 getAdditinalDemographicsSegment()

      Retrieves Additinal Demographics segment(PD1) present in this message.
      Returns:
        PD1 - the Additinal Demographics(PD1) Segment. present in this message or null if unavailable.

    - #### setAdditinalDemographicsSegment

          public void setAdditinalDemographicsSegment(PD1 objPD1)

      Sets value of Additinal Demographics segment(PD1) for this message,overwrites if already present.
      Parameters:
        `objPD1` - Specified Additinal Demographics(PD1) Segment.

    - #### addParticipationForPatientSegment

          public void addParticipationForPatientSegment(PRT objPRT)

      Adds Participation(PRT) to this message.
      Parameters:
        `objPRT` - Specified Participation Segment to be added in message.

    - #### addParticipationForPatientSegment

          public void addParticipationForPatientSegment(ISingleCollection<PRT> objPRTSegmentCollection)

      Adds collection of Participation(PRT) to this message.
      Parameters:
        `objPRTSegmentCollection` - Collection of Participation(PRT) to add in this message

    - #### getParticipationForPatientSegments

          public ISingleCollection<PRT> getParticipationForPatientSegments()

      Retrieves Collection of Participation(PRT) present in this message.
      Returns:
        ISingleCollection - Collection of Participation(PRT) present in this message.

    - #### addPatientIdentificationAccessRestrictionsSegment

          public void addPatientIdentificationAccessRestrictionsSegment(ARV objARV)

      Adds Access Restrictions(ARV) to this message.
      Parameters:
        `objARV` - Specified Access Restrictions Segment to be added in message.

    - #### addPatientIdentificationAccessRestrictionsSegment

          public void addPatientIdentificationAccessRestrictionsSegment(ISingleCollection<ARV> objARVSegmentCollection)

      Adds collection of Access Restrictions(ARV) to this message.
      Parameters:
        `objARVSegmentCollection` - Collection of Access Restrictions(ARV) to add in this message

    - #### getPatientIdentificationAccessRestrictionsSegments

          public ISingleCollection<ARV> getPatientIdentificationAccessRestrictionsSegments()

      Retrieves Collection of Access Restrictions(ARV) present in this message.
      Returns:
        ISingleCollection - Collection of Access Restrictions(ARV) present in this message.

    - #### getPatientObservationGroups

          public ISingleCollection<IGroup> getPatientObservationGroups()

      Retrieves Collection of Person Observation GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Person Observation Group present

    - #### addPatientObservationGroups

          public void addPatientObservationGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Person Observation GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Person Observation GROUP Collection.

    - #### addPatientObservationGroup

          public void addPatientObservationGroup(IGroup objGroup)

      Adds Person Observation GROUP to this message.
      Parameters:
        `objGroup` - Specified Person Observation GROUP.

    - #### getVisitGroup

          public IGroup getVisitGroup()

      Retrieves Visit Group present in this message.
      Returns:
        Group - Visit Group present in this message.

    - #### setVisitGroup

          public void setVisitGroup(IGroup objGroup)

      Sets value of Visit Group for this message,overwrites if already present.
      Parameters:
        `objGroup` - Specified Visit Group

    - #### getCommonOrderinformationSegment

          public ORC getCommonOrderinformationSegment()

      Retrieves Common Order information(ORC) segment present in this message.
      Returns:
        ORC - the Common Order information Segment present in this message or null if unavailable.

    - #### setCommonOrderinformationSegment

          public void setCommonOrderinformationSegment(ORC objORC)

      Sets value of Common Order information segment for this message,overwrites if already present.
      Parameters:
        `objORC` - Specified Common Order information Segment

    - #### addParticipationForCommonOrderSegment

          public void addParticipationForCommonOrderSegment(PRT objPRT)

      Adds Participation(PRT) to this message.
      Parameters:
        `objPRT` - Specified Participation Segment to be added in message.

    - #### addParticipationForCommonOrderSegment

          public void addParticipationForCommonOrderSegment(ISingleCollection<PRT> objPRTSegmentCollection)

      Adds collection of Participation(PRT) to this message.
      Parameters:
        `objPRTSegmentCollection` - Collection of Participation(PRT) to add in this message

    - #### getParticipationForCommonOrderSegments

          public ISingleCollection<PRT> getParticipationForCommonOrderSegments()

      Retrieves Collection of Participation(PRT) present in this message.
      Returns:
        ISingleCollection - Collection of Participation(PRT) present in this message.

    - #### getObservationRequestSegment

          public OBR getObservationRequestSegment()

      Retrieves Observation Request(OBR) segment present in this message.
      Returns:
        OBR - the Observation Request Segment present in this message or null if unavailable.

    - #### setObservationRequestSegment

          public void setObservationRequestSegment(OBR objOBR)

      Sets value of Observation Request segment for this message,overwrites if already present.
      Parameters:
        `objOBR` - Specified Observation Request Segment

    - #### getNotesAndCommentsSegments

          public ISingleCollection<NTE> getNotesAndCommentsSegments()

      Retrieves Collection of Notes and Comments Segments(NTE) present in this message.
      Returns:
        ISingleCollection - Collection of Notes and Comments Segments(NTE) present in this message.

    - #### addNotesAndCommentsSegment

          public void addNotesAndCommentsSegment(NTE objNTE)

      Adds Notes and Comments Segment(NTE) to this message.
      Parameters:
        `objNTE` - Specified Notes and Comments Segment(NTE)to add in this message.

    - #### addNotesAndCommentsSegment

          public void addNotesAndCommentsSegment(ISingleCollection<NTE> objNTESegmentCollection)

      Adds collection of Notes and Comments Segment(NTE) to this message.
      Parameters:
        `objNTESegmentCollection` - Collection of Notes and Comments Segments to add in this message

    - #### addParticipationForObservationtSegment

          public void addParticipationForObservationtSegment(PRT objPRT)

      Adds Participation(PRT) to this message.
      Parameters:
        `objPRT` - Specified Participation Segment to be added in message.

    - #### addParticipationForObservationSegment

          public void addParticipationForObservationSegment(ISingleCollection<PRT> objPRTSegmentCollection)

      Adds collection of Participation(PRT) to this message.
      Parameters:
        `objPRTSegmentCollection` - Collection of Participation(PRT) to add in this message

    - #### getParticipationForObservationSegments

          public ISingleCollection<PRT> getParticipationForObservationSegments()

      Retrieves Collection of Participation(PRT) present in this message.
      Returns:
        ISingleCollection - Collection of Participation(PRT) present in this message.

    - #### getTimingQuantityGroups

          public ISingleCollection<IGroup> getTimingQuantityGroups()

      Retrieves Collection of Timing_Quantity GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Timing_Quantity Group present

    - #### addTimingQuantityGroups

          public void addTimingQuantityGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Timing_Quantity GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Timing_Quantity GROUP Collection.

    - #### addTimingQuantityGroup

          public void addTimingQuantityGroup(IGroup objGroup)

      Adds TimingQuantity GROUP to this message.
      Parameters:
        `objGroup` - Specified TimingQuantity GROUP.

    - #### getObservationGroups

          public ISingleCollection<IGroup> getObservationGroups()

      Retrieves Collection of OBSERVATION GROUP present in this message.
      Returns:
        ISingleCollection - Collection of OBSERVATION Group present

    - #### addObservationGroups

          public void addObservationGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of OBSERVATION GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified OBSERVATION GROUP Collection.

    - #### addObservationGroup

          public void addObservationGroup(IGroup objGroup)

      Adds Observation GROUP to this message.
      Parameters:
        `objGroup` - Specified Observation GROUP.